Login | Packages | Support | Bugs 

Top Level :: Networking :: rdkafka

rdkafka 2.0.0

Package Information
Summary Kafka client based on librdkafka
Maintainers Arnaud Le Blanc (lead) [details]
License MIT License
Description This extension is a librdkafka binding providing a working client for Kafka 0.8, 0.9, 0.10
Release notes
Version 2.0.0
(beta)
This version of rdkafka is indented for php version 7. To compile rdkafka for
older versions of php, use the pecl package version 1.

* Added high level consumer: Rdkafka\KafkaConsumer (librdkafka 0.9)
* RD_KAFKA_VERSION now reports the runtime librdkafka version
* Added RD_KAFKA_BUILD_VERSION
* Export runtime-provided constants from librdkafka (librdkafka 0.9)
* Added rd_kafka_get_err_descs() (librdkafka 0.9)
* Improve reflection/arginfo
* Rdkafka::metadata() is now a deprecated alias to Rdkafka::getMetadata()
* Rdkafka::outqLen() is now a deprecated alias to Rdkafka::getOutQLen()
* Rdkafka now throws Rdkafka\Exception instances
* Added Rdkafka\Conf::setDefaultTopicConf() (librdkafka 0.9)
* Added Rdkafka\Conf::setDrMsgCb() (librdkafka 0.9)

[ Latest Tarball ] [ Changelog ] [ View Statistics ]
[ Browse Source[ Package Bugs ]
[ Report new bug ]

Dependencies for release 2.0.0
PRIVACY POLICY | CREDITS
Copyright © 2001-2017 The PHP Group
All rights reserved.
Last updated: Thu Mar 26 06:22:20 2015 UTC
Bandwidth and hardware provided by: pair Networks